import * as React from 'react';

import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';
import Checkbox from '@romanjaros/treejs-components/Checkbox';


const CheckboxPage = (): React.ReactElement => {
	return (
		<React.Fragment>
			<h2>Checkbox</h2>

			<h3>Normal</h3>
			<Grid>
				<GridCol size={3}>
					<Checkbox name="checkbox" title="Checkbox label" />
				</GridCol>
			</Grid>
		</React.Fragment>
	);
};

export default CheckboxPage;
