import * as React from 'react';

import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';
import SelectBox from '@romanjaros/treejs-components/SelectBox/containers';


const SelectBoxPage = (): React.ReactElement => (
	<React.Fragment>
		<h2>SelectBox</h2>

		<h3>Normal</h3>
		<Grid>
			<GridCol size={3}>
				<SelectBox
					name="selectBox"
					title="Zvolte den v týdnu"
					options={[
						{ name: 'Pondělí', code: 'po' },
						{ name: 'Úterý', code: 'ut' },
						{ name: 'Středa', code: 'st' },
						{ name: 'Čtvrtek', code: 'ct' },
						{ name: 'Pátek', code: 'pa' },
						{ name: 'Sobota', code: 'so' },
						{ name: 'Neděle', code: 'ne' },
					]}
				/>
			</GridCol>
		</Grid>
	</React.Fragment>
);

export default SelectBoxPage;
