import * as React from 'react';


const modals: { [key: string]: React.ReactElement } = {};


export const addModalComponent = (name: string, component: React.ReactElement): void => {
	modals[name] = component;
};

export const getModalComponent = (name: string): React.ReactElement => modals[name];
