import { combineReducers } from 'redux';

import {
	MODAL_REDUCER_NAME,
	FETCH_REDUCER_NAME,
	AUTH_REDUCER_NAME,
} from '@romanjaros/treejs-constants/redux/reducers';

import apiReducer from '@romanjaros/treejs-api/reducer';
import authReducer from '@romanjaros/treejs-auth/reducer';
import modalReducer from '@romanjaros/treejs-components/Modal/reducer';


export default combineReducers({
	[AUTH_REDUCER_NAME]: authReducer,
	[FETCH_REDUCER_NAME]: apiReducer,
	[MODAL_REDUCER_NAME]: modalReducer,
});
