import styled from '@romanjaros/treejs-components/styled';
import { library } from '@fortawesome/fontawesome-svg-core'
import {
	faBuilding,
	faUserTie,
} from '@fortawesome/free-solid-svg-icons'


library.add(
	faBuilding,
	faUserTie,
);


export const MainStyle = styled.div`
	font-family: Ubuntu, sans-serif;
	font-size: 16px;

	background-color: ${(p) => p.theme.white};
	color: ${(p) => p.theme.black};

	display: flex;

	-webkit-tap-highlight-color: transparent;
`;
