import * as React from 'react';

import AddModalButton from '@romanjaros/treejs-components/Modal/containers/AddModalButton';
import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';


const ComponentA = (): React.ReactElement => {
	return (<div>ahoj</div>)
};

const ComponentB = (): React.ReactElement => {
	return (<div>cus</div>)
};

const ModalPage = (): React.ReactElement => {
	return (
		<React.Fragment>
			<h2>Modal</h2>

			<h3>Normal</h3>
			<Grid>
				<GridCol size={4}>
					<AddModalButton
						name="modalName"
						title="Open modal"
						modalTitle="Modální okno 1"
						component={<ComponentA />}
					/>
				</GridCol>
				<GridCol size={4}>
					<AddModalButton
						name="nextModal"
						width={250}
						title="Open small modal"
						modalTitle="Modální okno 2"
						component={<ComponentB />}
					/>
				</GridCol>
			</Grid>
		</React.Fragment>
	);
};

export default ModalPage;
